import type { suffix } from './config';
export interface ObjectKey {
    [key: string]: any;
}
export type GetFiles = Array<{
    fileName: string;
    filePath: string;
}>;
/**
 * @description 是否是文件
 * @param path
 * @returns
 */
export declare const isFile: (path: string) => boolean;
/**
 * @description 是否存在文件
 * @param path
 * @returns
 */
export declare const hasFile: (path: string) => boolean;
/**
 * @description 获取所有文件夹
 * @param path
 * @returns
 */
export declare const getFiles: (path: string) => GetFiles;
/**
 * @description 是否是对象
 * @param data object
 * @returns boolean
 */
export declare const isObject: (data: object) => boolean;
/**
 * @description 对象是否存在key
 * @param data object
 * @param key string
 * @returns boolean
 */
export declare const hasKey: (data: object, key: string) => boolean;
/**
 * @description 合并配置
 * @param source object
 * @param target object
 * @returns object
 */
export declare function mergeConfig<T extends ObjectKey>(source: ObjectKey, target: T): T;
/**
 * @description 分离样式
 * @param files GetFiles
 * @param suffixs Array<string>
 */
export declare function extract(files: GetFiles, suffixs: suffix[]): {
    scss: GetFiles;
    less: GetFiles;
};
